#include "precompile.h"

#include "android.h"
#include "metamgr.h"
#include "android.ai.h"
#include "room.h"

Android::Android():Human()
{
    entity_type = ET_Player;
    entity_subtype = EST_Android;
    ai = new AndroidAI;
    ai->owner = this;
}

Android::~Android()
{
    delete ai;
    ai = nullptr;
}

void Android::Initialize()
{
    health = meta->i->health();
    skin = 14001;
    RecalcSelfCollider();
}

void Android::Update(int delta_time)
{
    if (a8::HasBitFlag(status, HS_Fly)) {
        pos = room->plane.curr_pos;
        room->grid_service.MoveHuman(this);
    }
    ai->Update(delta_time);
}
