#include "precompile.h"

#include "playermgr.h"
#include "player.h"
#include "cs_proto.pb.h"

void PlayerMgr::Init()
{
}

void PlayerMgr::UnInit()
{
}

Player* PlayerMgr::GetPlayerBySocket(int socket)
{
    auto itr = socket_hash_.find(socket);
    return itr != socket_hash_.end() ? itr->second : nullptr;
}

Player* PlayerMgr::CreatePlayerByCMJoin(int socket, const cs::CMJoin& msg)
{
    Player* hum = new Player();
    hum->socket_handle = socket;
    hum->account_id = msg.account_id();
    hum->name = msg.name();
    hum->health = 0;
    hum->team_uuid = msg.team_uuid();
    hum->team_mode = msg.team_mode();
    hum->player_count = msg.player_count();
    hum->auto_fill = msg.auto_fill();
    hum->use_touch = msg.use_touch();
    hum->avatar_url = msg.avatar_url();
    hum->energy_shield = msg.energy_shield();
    hum->skin = msg.baseskin();
    //    hum->basemelee = msg.basemelee();
    //    hum->elo_score = msg.elo_score();
    //    hum->gmode = msg.gmode();
    socket_hash_[socket] = hum;
    return hum;
}
