#pragma once

namespace cs
{
    class CMJoin;
}

class Player;
class PlayerMgr : public a8::Singleton<PlayerMgr>
{
 public:
    enum { HID = HID_PlayerMgr };

 private:
    PlayerMgr() {};
    friend class a8::Singleton<PlayerMgr>;

 public:
    void Init();
    void UnInit();

    Player* GetPlayerBySocket(int socket);
    Player* CreatePlayerByCMJoin(int socket, const cs::CMJoin& msg);

 private:
    std::map<int, Player*> socket_hash_;
};
