#pragma once

#include "entity.h"

namespace MetaData
{
    struct Player;
    struct Equip;
    struct Building;
}

class Human;
class CircleCollider;
class AabbCollider;
class Building : public Entity
{
 public:
    MetaData::Building* meta = nullptr;
    int building_id = 0;

    Building();
    virtual ~Building() override;
    virtual void Initialize() override;
    void RecalcSelfCollider();
    virtual void FillMFObjectPart(cs::MFObjectPart* part_data) override;
    virtual void FillMFObjectFull(cs::MFObjectFull* full_data) override;
    virtual ColliderComponent* GetBoxBound() override;
};
