#pragma once

#include "entity.h"

class Building;
class CircleCollider;
class AabbCollider;
class Human;
class Hero : public Entity
{
 public:

    Vector2D move_dir;
    Vector2D attack_dir;

    Human* master = nullptr;

    int skin = 0;
    int backpack = 0;
    int helmet = 0;
    int chest = 0;
    Weapon weapon;
    int energy_shield = 0;

    Hero();
    virtual ~Hero() override;
    virtual void Initialize() override;
    void RecalcSelfCollider();
    virtual void FillMFObjectPart(cs::MFObjectPart* part_data) override;
    virtual void FillMFObjectFull(cs::MFObjectFull* full_data) override;
    virtual ColliderComponent* GetBoxBound() override;

private:
    CircleCollider* self_collider_ = nullptr;

};
